curl --request POST \
--url https://api.coinvoyage.io/v3/off-ramp/bank-accounts \
--header 'Authorization: <api-key>' \
--header 'Authorization-Signature: <authorization-signature>' \
--header 'Content-Type: application/json' \
--data '
{
"account_owner_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"country": "<string>",
"street_line_2": "<string>",
"state": "<string>",
"postal_code": "<string>"
},
"bank_name": "<string>",
"account_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"account": {
"account_number": "<string>",
"routing_number": "<string>",
"sort_code": "<string>"
},
"iban": {
"account_number": "<string>",
"country": "<string>",
"bic": "<string>"
},
"swift": {
"account": {
"account_number": "<string>",
"country": "<string>",
"bic": "<string>"
},
"address": {
"street_line_1": "<string>",
"city": "<string>",
"country": "<string>",
"street_line_2": "<string>",
"state": "<string>",
"postal_code": "<string>"
},
"purpose_of_funds": [
"<string>"
],
"short_business_description": "<string>"
},
"clabe": {
"account_number": "<string>"
},
"pix": {
"document_number": "<string>",
"pix_key": "<string>",
"br_code": "<string>"
}
}
'import requests
url = "https://api.coinvoyage.io/v3/off-ramp/bank-accounts"
payload = {
"account_owner_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"country": "<string>",
"street_line_2": "<string>",
"state": "<string>",
"postal_code": "<string>"
},
"bank_name": "<string>",
"account_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"account": {
"account_number": "<string>",
"routing_number": "<string>",
"sort_code": "<string>"
},
"iban": {
"account_number": "<string>",
"country": "<string>",
"bic": "<string>"
},
"swift": {
"account": {
"account_number": "<string>",
"country": "<string>",
"bic": "<string>"
},
"address": {
"street_line_1": "<string>",
"city": "<string>",
"country": "<string>",
"street_line_2": "<string>",
"state": "<string>",
"postal_code": "<string>"
},
"purpose_of_funds": ["<string>"],
"short_business_description": "<string>"
},
"clabe": { "account_number": "<string>" },
"pix": {
"document_number": "<string>",
"pix_key": "<string>",
"br_code": "<string>"
}
}
headers = {
"Authorization-Signature": "<authorization-signature>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Authorization-Signature': '<authorization-signature>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_owner_name: '<string>',
address: {
street_line_1: '<string>',
city: '<string>',
country: '<string>',
street_line_2: '<string>',
state: '<string>',
postal_code: '<string>'
},
bank_name: '<string>',
account_name: '<string>',
first_name: '<string>',
last_name: '<string>',
business_name: '<string>',
account: {account_number: '<string>', routing_number: '<string>', sort_code: '<string>'},
iban: {account_number: '<string>', country: '<string>', bic: '<string>'},
swift: {
account: {account_number: '<string>', country: '<string>', bic: '<string>'},
address: {
street_line_1: '<string>',
city: '<string>',
country: '<string>',
street_line_2: '<string>',
state: '<string>',
postal_code: '<string>'
},
purpose_of_funds: ['<string>'],
short_business_description: '<string>'
},
clabe: {account_number: '<string>'},
pix: {document_number: '<string>', pix_key: '<string>', br_code: '<string>'}
})
};
fetch('https://api.coinvoyage.io/v3/off-ramp/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"account_details": {
"account_number": "<string>",
"bank_name": "<string>",
"routing_number": "<string>",
"sort_code": "<string>",
"checking_or_savings": "<string>",
"bic": "<string>",
"pix_key": "<string>"
},
"active": true,
"account_name": "<string>",
"bank_name": "<string>",
"beneficiary_address_valid": true,
"deactivation_reason": "<string>",
"deactivation_details": "<string>"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}Add Bank Account
Authorizations
HMAC-SHA256 signature. See the Authorization-Signature header parameter on signed operations.
Headers
HMAC-SHA256 signature header: 'APIKey=<api_key>,signature=,timestamp=<unix_timestamp>'. The signature is computed over METHOD + path (with the /v3 prefix stripped) + timestamp.
Body
Show child attributes
Show child attributes
Currency used by the external bank account
usd, eur, mxn, brl, gbp Bank account rail: us (ACH), iban, swift, clabe, pix, or gb (FPS)
us, iban, swift, clabe, pix, gb Whether the bank account owner is an individual or business
individual, business Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Bank account created
Bank account rail: us (ACH), iban, swift, clabe, pix, or gb (FPS)
us, iban, swift, clabe, pix, gb Show child attributes
Show child attributes
Currency used by the external bank account
usd, eur, mxn, brl, gbp Whether the bank account owner is an individual or business
individual, business Was this page helpful?